package com.flossom.system.service;

import java.util.List;

import com.flossom.common.core.domain.entity.WxScriptTemplate;

/**
 * 话术模板Service接口
 *
 * @author flossom
 * @date 2023-12-18
 */
public interface IWxScriptTemplateService
{
    /**
     * 查询话术模板
     *
     * @param id 话术模板主键
     * @return 话术模板
     */
    public WxScriptTemplate selectWxScriptTemplateById(Long id);

    /**
     * 查询话术模板列表
     *
     * @param wxScriptTemplate 话术模板
     * @return 话术模板集合
     */
    public List<WxScriptTemplate> selectWxScriptTemplateList(WxScriptTemplate wxScriptTemplate);

    /**
     * 新增话术模板
     *
     * @param wxScriptTemplate 话术模板
     * @return 结果
     */
    public int insertWxScriptTemplate(WxScriptTemplate wxScriptTemplate);

    /**
     * 修改话术模板
     *
     * @param wxScriptTemplate 话术模板
     * @return 结果
     */
    public int updateWxScriptTemplate(WxScriptTemplate wxScriptTemplate);

    /**
     * 批量删除话术模板
     *
     * @param ids 需要删除的话术模板主键集合
     * @return 结果
     */
    public int deleteWxScriptTemplateByIds(Long[] ids);

    /**
     * 删除话术模板信息
     *
     * @param id 话术模板主键
     * @return 结果
     */
    public int deleteWxScriptTemplateById(Long id);

    /**
     * 是否存在标签子节点
     *
     * @param id 标签ID
     * @return 结果
     */
    public boolean hasChildByScriptId(Long id);
}
